--***************************************************
--
--	file name gis_imaging_grants.sql
--
--  Purpose: give the required grants to the imaging
--           user.
--
-- History: 16-Jun-00 David Gough - Initial version 
--			15-Dec-00 David Gough - gis_migrate_check added
--
--***************************************************

-- run as imaging user
connect &&img_usr/&&img_pwd

GRANT SELECT on GIS_MIGRATE_CHECK TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_DOC_STATUS TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_DOC_STATUS_TYPES TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_ERROR_LOG_ALL TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_EVENT_LOG_ALL TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_INTERFACE_ALL TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_SCANNERS TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE on GIS_SCAN_USERS TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_error_log TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_error_log_all TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT ON imaging.gis_error_log_s TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_event_log TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_event_log_all TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT ON imaging.gis_event_log_s TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_interface TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT,UPDATE,INSERT,DELETE ON imaging.gis_interface_all TO &&apps_usr WITH GRANT OPTION;
GRANT SELECT ON imaging.gis_interface_s TO &&apps_usr WITH GRANT OPTION;
/
