-- ============================================================================
--
--   NAME
--      gis_indexes_2.sql
--
--   DESCRIPTION
--      Script to create indexes for auditing deletions table
--
--   HISTORY
--      04/07/2001 Patrick Low Original version
--
-- ============================================================================

CONNECT &img_usr/&img_pwd;

DROP INDEX GIS_DELETION_LOG_U1;
CREATE UNIQUE INDEX GIS_DELETION_LOG_U1 ON GIS_DELETION_LOG("FILE_ID", "DOCUMENT_ID")
INITRANS 2
MAXTRANS 255
TABLESPACE &table_i
STORAGE (INITIAL 1000K next 500K pctincrease 0 MAXEXTENTS 255)
PCTFREE 5;

DROP INDEX GIS_DELETION_LOG_U2;
CREATE UNIQUE INDEX GIS_DELETION_LOG_U2 ON GIS_DELETION_LOG("DOCUMENT_ID")
INITRANS 2
MAXTRANS 255
TABLESPACE &table_i
STORAGE (INITIAL 1000K next 500K pctincrease 0 MAXEXTENTS 255)
PCTFREE 5;

DROP INDEX GIS_DELETION_LOG_U3;
CREATE INDEX GIS_DELETION_LOG_N1 ON GIS_DELETION_LOG("FILE_NAME")
INITRANS 2
MAXTRANS 255
TABLESPACE &table_i
STORAGE (INITIAL 1000K next 500K pctincrease 0 MAXEXTENTS 255)
PCTFREE 5;

