CREATE OR REPLACE
PACKAGE apps.gis_admin_screen IS

PROCEDURE deleteModifyScanner( 	p_userId VARCHAR2
							,p_scannerList VARCHAR2
							,p_sortByList VARCHAR2
							,p_operation VARCHAR2);
							
PROCEDURE deleteScanUserLink( 	p_currentUserId VARCHAR2
								,p_scanUserLinkList VARCHAR2
								,p_sortByList VARCHAR2
								,p_scannerSelection VARCHAR2
								,p_userSelection VARCHAR2 DEFAULT NULL);

PROCEDURE sortBy(  	p_userId VARCHAR2
					,p_listType VARCHAR2
					,p_sortByList VARCHAR2
					,p_scannerSelection VARCHAR2 DEFAULT NULL
					,p_userSelection VARCHAR2 DEFAULT NULL);
					
PROCEDURE sortByList(  p_userId VARCHAR2, p_listType VARCHAR2);

PROCEDURE adminMenu( p_userId VARCHAR2);

PROCEDURE scannerList( p_userId VARCHAR2, p_sortByList VARCHAR2);

PROCEDURE addScanner( 	p_userId VARCHAR2
						, p_scannerId VARCHAR2 DEFAULT NULL
						, p_operation VARCHAR2 DEFAULT 'Add'
						,p_sortByList VARCHAR2 DEFAULT NULL);

PROCEDURE saveScanner( p_userId VARCHAR2
						,p_scannerId VARCHAR2
						,p_orgId VARCHAR2
						,p_ipAddress VARCHAR2
						,p_password VARCHAR2
						,p_hostname VARCHAR2
						,p_description VARCHAR2
						,p_attribute1 VARCHAR2 DEFAULT NULL
						,p_attribute2 VARCHAR2 DEFAULT NULL
						,p_attribute3 VARCHAR2 DEFAULT NULL
						,p_attribute4 VARCHAR2 DEFAULT NULL
						,p_operation VARCHAR2
						,p_sortByList VARCHAR2 DEFAULT NULL);

PROCEDURE userScanners( p_userId VARCHAR2
						,p_scanUserId VARCHAR2);
						
PROCEDURE userScannerLink(p_userId VARCHAR2);

PROCEDURE saveScanUserLink( p_userId VARCHAR2
							,p_scanUserId VARCHAR2
							,p_scannerId VARCHAR2
							,p_attribute1 VARCHAR2 DEFAULT 'N');

PROCEDURE scanUserList(	p_userId VARCHAR2
						,p_sortByList VARCHAR2	
						,p_scannerSelection VARCHAR2
						,p_userSelection VARCHAR2 DEFAULT NULL);

PROCEDURE viewDocCategoriesBy( p_userId VARCHAR2);
						
PROCEDURE viewDocCategories(p_userId VARCHAR2
							,p_context VARCHAR2);
							
PROCEDURE addDocCategory( p_userId VARCHAR2
						, p_categoryId VARCHAR2 DEFAULT NULL
						, p_operation VARCHAR2 DEFAULT 'Add');

PROCEDURE saveCategory( p_operation VARCHAR2
						,p_userId VARCHAR2
						,p_categoryId VARCHAR2 DEFAULT NULL
						,p_context VARCHAR2
						,p_code VARCHAR2
						,p_desc VARCHAR2 
						,p_activeStartDate VARCHAR2 DEFAULT SYSDATE
						,p_activeEndDate VARCHAR2 DEFAULT NULL
						,p_attribute2 VARCHAR2 DEFAULT NULL
						,p_alterCat VARCHAR2 DEFAULT NULL
						,p_moveDocs CHAR DEFAULT NULL);
						
						
END  gis_admin_screen;
/
