CREATE OR REPLACE PACKAGE gis_insert AS
/*
Target       : This package create form functions, menues, and
responsibilities for Global Imaging System
Made by      : Fernando Gonzalez - IT ERP Senior Consultant(Imaging
Team)
Date         : 13/09/2000.
Modified by  : Fernando Gonzalez - IT ERP Senior Consultant(Imaging
Team)
Date         : 10/10/2000.
*/
global_sequence NUMBER;
/*========================================== Procedures
=======================*/
PROCEDURE form_function(p_function_name VARCHAR2 DEFAULT NULL
                        , p_function_description VARCHAR2 DEFAULT NULL
                        , p_inserted_by NUMBER DEFAULT NULL
                        , p_type VARCHAR2 DEFAULT NULL
                        , p_web_host VARCHAR2 DEFAULT NULL
                        , p_package_procedure VARCHAR2 DEFAULT NULL);
PROCEDURE menu(p_menu_name VARCHAR2 DEFAULT NULL
             , p_menu_description VARCHAR2 DEFAULT NULL
             , p_prompt VARCHAR2 DEFAULT NULL
             , p_inserted_by NUMBER DEFAULT NULL
             , p_function_name VARCHAR2);
PROCEDURE responsibility(p_responsibility_description VARCHAR2 DEFAULT NULL
                         , p_responsibility_key VARCHAR2 DEFAULT NULL
                         , p_data_group_application_id NUMBER DEFAULT NULL
                         , p_data_group_id NUMBER DEFAULT NULL
                         , p_start_date VARCHAR2 DEFAULT NULL
                         , p_version VARCHAR2 DEFAULT NULL
                         , p_inserted_by NUMBER DEFAULT NULL
                         , p_menu_name VARCHAR2);
PROCEDURE responsibility_other_apps(p_responsibility_description VARCHAR2 DEFAULT NULL
                         , p_responsibility_key VARCHAR2 DEFAULT NULL
                         , p_data_group_application_id NUMBER DEFAULT NULL
                         , p_data_group_id NUMBER DEFAULT NULL
                         , p_start_date VARCHAR2 DEFAULT NULL
                         , p_version VARCHAR2 DEFAULT NULL
                         , p_inserted_by NUMBER DEFAULT NULL
                         , p_application VARCHAR2 DEFAULT NULL
                         , p_menu_name VARCHAR2);
END gis_insert;
/