CREATE OR REPLACE
PACKAGE apps.gis_metrics_report AUTHID CURRENT_USER IS

C_DATE_FORMAT_EN constant varchar2(100) := 'DD-MON-YYYY HH24:MI:SS';
C_APP_URL        constant varchar2(100) := rtrim(FND_WEB_CONFIG.WEB_SERVER,'/')||'/'||rtrim(ltrim(icx_plug_utilities.getPLSQLagent,'/'),'/')||'/';
C_IMG_URL        constant varchar2(100) := fnd_profile.value('GISMIS_CUSTOM_URL')||'admin/images/';
C_FLAG_URL       constant varchar2(100) := fnd_profile.value('GISMIS_CUSTOM_URL')||'admin/images/flags/';

PROCEDURE show_fields(p_user_id      NUMBER,
                      p_context      VARCHAR2 DEFAULT NULL,
                      p_doc_type     VARCHAR2 DEFAULT NULL,
                      p_start_date   DATE     DEFAULT NULL,
                      p_end_date     DATE     DEFAULT NULL,
                      p_org_id       NUMBER   DEFAULT NULL);

PROCEDURE report_info(p_user_id      NUMBER,
                      p_context      VARCHAR2 DEFAULT NULL,
                      p_doc_type     VARCHAR2 DEFAULT NULL,
                      p_start_date   DATE     DEFAULT NULL,
                      p_end_date     DATE     DEFAULT NULL,
                      p_org_id       NUMBER   DEFAULT NULL,
                      p_output       VARCHAR2 DEFAULT 'HTML');

END gis_metrics_report;
/
