CREATE OR REPLACE PACKAGE gis_migrate_user AS
/*
Target       : This package assign responsibilities an specific user
Made by      : Fernando Gonzalez - IT ERP Senior Consultant(Imaging
Team)
Date         : 08/02/2001.
Modified by  : Fernando Gonzalez - IT ERP Senior Consultant(Imaging
Team)
Date         : 08/02/2001.
*/
/*========================================== Procedures
=======================*/
FUNCTION get_user_id(p_user_name VARCHAR2 DEFAULT NULL) RETURN NUMBER;  
 
FUNCTION get_application_id( p_application_short_name VARCHAR2) RETURN NUMBER;  

PROCEDURE insert_responsibility(p_user_name VARCHAR2
								,p_responsibility_name VARCHAR2
                                , p_application_short_name VARCHAR2);
                                 
FUNCTION get_responsibility_id(p_responsibility_name VARCHAR2) RETURN NUMBER;

END  gis_migrate_user;
/
