CREATE OR REPLACE PACKAGE APPS.GIS_OM_INTERFACE AS


PROCEDURE gis_order_request(errbuf   OUT VARCHAR2,
                            retcode  OUT VARCHAR2);

PROCEDURE gis_return_oenum(errbuf   OUT VARCHAR2,
                           retcode  OUT VARCHAR2);
                                             
PROCEDURE gis_create_order    (p_gis_id            IN  NUMBER,
                           p_org_id            IN  NUMBER,
                           p_file_id           IN  NUMBER,
                           p_gis_customer_id   IN  NUMBER,
                           p_order_type_id     IN  NUMBER,
                           p_created_by        IN  NUMBER,
                           p_creation_date     IN  DATE);
                 
PROCEDURE gis_attach_image(p_user_id     NUMBER,
                       p_file_id     NUMBER,
                       p_gis_id      NUMBER,
                       p_table_name  VARCHAR2,
                       p_pk_value    NUMBER);

--PROCEDURE gis_attach_image2(  p_user_id     NUMBER,
--                              p_gis_id      NUMBER,
--                              p_file_id     NUMBER);
                  
           
PROCEDURE gis_log_event( p_gis_id  NUMBER,
                     p_status  VARCHAR2,
                     p_object_name   VARCHAR2,
                     p_err     VARCHAR2);
                  
END GIS_OM_INTERFACE;    
/
