CREATE OR REPLACE PACKAGE BODY APPS.gis_start AS
/*
Target       : This package validate session, user, and responsibility for Global Imaging System
Made by      : Fernando Gonzalez - IT ERP Senior Consultant(Imaging Team)
Date         : 13/09/2000.
Modified by  : Fernando Gonzalez - IT ERP Senior Consultant(Imaging Team)
Date         : 05/10/2000.
History      : 18/10/2000 David Gough - added status line to new window and forces
										focus onto the new window 
Modified by  : Patrick Low: 06/03/2001 - add parameter to pass resolution height
				12/06/2001 David Gough call to get_pack_url added because of problems
							with url generation on European databases
*/
/*========================================== Procedures =======================*/
PROCEDURE main IS
v_session_id NUMBER;
p_user_id VARCHAR2(38);
p_responsibility_id VARCHAR2(38);
CURSOR c_ValidateUR(v_session_id NUMBER) IS
  SELECT user_id
       , responsibility_id
  FROM icx_sessions
  WHERE session_id=v_session_id;
BEGIN
  IF icx_sec.validateSession THEN
     v_session_id:=icx_sec.getsessioncookie;
  FOR ValidateUR_rec IN c_ValidateUR(v_session_id)
  LOOP
    p_user_id:=TO_CHAR(ValidateUR_rec.user_id);
    p_responsibility_id:=TO_CHAR(ValidateUR_rec.responsibility_id);
  END LOOP;
  	htp.p( '<SCRIPT LANGUAGE="javascript">' );
  	htp.p( 'window.history.back();'); 
	htp.p( 'aWindow'||p_responsibility_id||' = window.open("","theWindow'||p_responsibility_id||'","toolbar=no,menubar=no,resizable=yes,scrollbars=yes,status=yes, copyhistory=no");');
-- Modified by Patrick Low: 06/03/2001
-- Add parameter to pass resolution height
--	htp.p( 'aWindow' ||p_responsibility_id||'.location = "'||gis_image_util.c_pack_url||'gis_image_util.imagingStart?p_user_id='||p_user_id||'&p_responsibility_id='||p_responsibility_id||'";');
	htp.p( 'aWindow' ||p_responsibility_id||'.location = "'||gis_image_util.get_pack_url||'gis_image_util.imagingStart?p_user_id='||p_user_id||'&p_responsibility_id='||p_responsibility_id||'&p_resolution_height=" + window.screen.height;');
	htp.p( 'aWindow' ||p_responsibility_id||'.focus();');
	htp.p( '</SCRIPT>');
--  	gis_image_util.imagingStart(p_user_id, p_responsibility_id);
--  htp.p( '<FRAMESET   COLS="325,*"  BORDER="1" >');
--  htp.p( '  <FRAMESET  ROWS = "45%,55% " BORDER="0" >');
--  htp.p( '     <FRAME SRC="'||'gis_image_util.OptionFrame?p_user_id='||p_user_id||'&'||'p_responsibility_id='||p_responsibility_id||'"  NAME="SelectFrame"  MARGINWIDTH="0" MARGINHEIGHT="0" SCROLLING="auto"> ');
--  htp.p( '     <FRAME SRC="http://fintst4.us.oracle.com:4652/gsiat/gis_image_util.Blankframe" NAME="QueryFrame"  MARGINWIDTH="0" MARGINHEIGHT="0" SCROLLING="auto">');
--  htp.p( '  </FRAMESET>');
--  htp.p( '  <FRAME SRC="http://fintst4.us.oracle.com:4652/gsiat/gis_image_util.ViewingFrame" NAME="ViewingFrame" SCROLLING="auto" NORESIZE>');
--  htp.p( '  <NOFRAMES>' );
--  htp.p( '    <CENTER>' );
--  htp.p( '      <P CLASS="message">Sorry, your browser does not support frames, but the Imaging Application uses them.<BR>' ||'Please, install Netscape Navigator 4.x to be able to use the Imaging Applcation.</P>' );
--  htp.p( '     </CENTER>' );
--  htp.p( '  </NOFRAMES>' );
--  htp.p( '</FRAMESET>');
--  htp.p('<NOFRAMES>');
--  htp.p('<BODY>');
--  htp.p('<P>');
--  htp.p('</BODY>');
--  htp.p('</NOFRAMES>');
  END IF;
--  htp.p( '</HTML>' );
END main;

PROCEDURE main_apps IS
v_session_id NUMBER;
p_user_id VARCHAR2(38);
p_responsibility_id VARCHAR2(38);
CURSOR c_ValidateUR(v_session_id NUMBER) IS
  SELECT user_id
       , responsibility_id
  FROM icx_sessions
  WHERE session_id=v_session_id;
BEGIN

  IF icx_sec.validateSession THEN
     v_session_id:=icx_sec.getsessioncookie;
  FOR ValidateUR_rec IN c_ValidateUR(v_session_id)
  LOOP
    p_user_id:=TO_CHAR(ValidateUR_rec.user_id);
    p_responsibility_id:=TO_CHAR(ValidateUR_rec.responsibility_id);
  END LOOP;
  	htp.p( '<SCRIPT LANGUAGE="javascript">' );
--  	htp.p( 'window.history.back();'); 
--	htp.p( 'window.toolbar="no"');
--,menubar=no,resizable=yes,scrollbars=yes,status=yes, copyhistory=no");');
	htp.p( 'window.location = "'||gis_image_util.get_pack_url||'gis_image_util.imagingStart?p_user_id='||p_user_id||'&p_responsibility_id='||p_responsibility_id||'&p_resolution_height=" + window.screen.height;');
--	htp.p( 'aWindow' ||p_responsibility_id||'.focus();');
		
--	htp.p( 'aWindow'||p_responsibility_id||' = window.open("","theWindow'||p_responsibility_id||'","toolbar=no,menubar=no,resizable=yes,scrollbars=yes,status=yes, copyhistory=no");');
--	htp.p( 'aWindow' ||p_responsibility_id||'.location = "'||gis_image_util.c_pack_url||'gis_image_util.imagingStart?p_user_id='||p_user_id||'&p_responsibility_id='||p_responsibility_id||'&p_resolution_height=" + window.screen.height;');
--	htp.p( 'aWindow' ||p_responsibility_id||'.focus();');
	htp.p( '</SCRIPT>');
  END IF;
END main_apps;

END gis_start;
/
