DECLARE

cid INTEGER;

BEGIN
	BEGIN
	cid := dbms_sql.open_cursor;
	   dbms_sql.parse( cid,'CREATE TYPE gis_doc_categories AS OBJECT(category_name VARCHAR2(15),
	   						category_description VARCHAR2(150), attribute1 VARCHAR2(150))' , dbms_sql.v7);
	   dbms_sql.close_cursor( cid);
	EXCEPTION
	WHEN OTHERS THEN
		dbms_sql.close_cursor( cid);
		DBMS_OUTPUT.put_line ('ERROR in CREATE TYPE gis_doc_categories');
	END;

	BEGIN
	cid := dbms_sql.open_cursor;
	   dbms_sql.parse( cid,'CREATE TYPE gis_doc_cat_list IS VARRAY(150) OF gis_doc_categories' , dbms_sql.v7);
	   dbms_sql.close_cursor( cid);
	EXCEPTION
	WHEN OTHERS THEN
		dbms_sql.close_cursor( cid);
		DBMS_OUTPUT.put_line ('ERROR in CREATE TYPE gis_doc_cat_list');
	END;
	COMMIT;
END;
/