-- context = agreements
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_AGMT_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'QPXSSDAF');

-- context = customer
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_CUST_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'ARXCUDCI');

-- context = order management
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_OM_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'OEXOEORD')
AND  data_object_code = 'OE_ORDER_HEADERS';

-- context = OKS
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_OKS_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'OKSAUDET');

-- context = projects
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_PROJECT_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'PAXPREPR');

-- context = web expenses
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_WEBEXP_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'APXXXEER');

-- context = HR assignments
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_HR_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'PERWSHRG')
AND  data_object_code = 'PER_ASSIGNMENTS_F';

-- context = receivables
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_REC_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'ARXTWMAI')
AND  data_object_code = 'RA_CUSTOMER_TRX';

-- context = suppliers
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_VIEW_SUPPLIER_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'APXVDMVD');

-- context = payables inquiry
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_PAY_SUPPLIER_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'APXVDMVD');

-- context = payables workbench
UPDATE FND_ATTACHMENT_BLK_ENTITIES
SET sql_statement = 'AND (NVL(ATTRIBUTE1,''OPEN'') != ''SECURE'' OR NVL(fnd_profile.VALUE_WNPS(''GIS_PAY_SUPPLIER_SECURE_DOCUMENTS''),''N'') = ''Y'')'
WHERE attachment_blk_id in (SELECT attachment_blk_id
							FROM FND_ATTACHMENT_BLOCKS block
							,fnd_attachment_functions func
							WHERE block.attachment_function_id = func.attachment_function_id
							AND func.function_name = 'APXINWKB')
AND data_object_code =  'AP_INVOICES';
/
