--***************************************************
--
--	file name gis_imaging_synonyms.sql
--
--  Purpose: Creates the required synonyms for the
--           imaging user.
--
-- History: 16-Jun-00 David Gough - Initial version
--			07-Nov-00 David Gough - Added Patricks synonyms
--			15-Dec-00 David Gough - gis_migrate_check added
--
--***************************************************

/********************/
/* Run as apps user */
/********************/
connect &&apps_usr/&&apps_pwd

DROP SYNONYM gis_scanners;
CREATE SYNONYM gis_scanners FOR &&img_usr..gis_scanners;

DROP SYNONYM gis_doc_status_types;
CREATE SYNONYM gis_doc_status_types FOR &&img_usr..gis_doc_status_types;

DROP SYNONYM gis_doc_status;
CREATE SYNONYM gis_doc_status FOR &&img_usr..gis_doc_status;

DROP SYNONYM gis_scan_users;
CREATE SYNONYM gis_scan_users FOR &&img_usr..gis_scan_users;

DROP SYNONYM  gis_error_log;
CREATE SYNONYM gis_error_log FOR &&img_usr..gis_error_log;

DROP SYNONYM gis_error_log_all;
CREATE SYNONYM gis_error_log_all FOR &&img_usr..gis_error_log_all;
            
DROP SYNONYM gis_error_log_s;
CREATE SYNONYM gis_error_log_s FOR &&img_usr..gis_error_log_s;
            
DROP SYNONYM gis_event_log;
CREATE SYNONYM gis_event_log FOR &&img_usr..gis_event_log;
            
DROP SYNONYM gis_event_log_all;
CREATE SYNONYM gis_event_log_all FOR &&img_usr..gis_event_log_all;
            
DROP SYNONYM gis_event_log_s;
CREATE SYNONYM gis_event_log_s FOR &&img_usr..gis_event_log_s;
            
DROP SYNONYM gis_interface;
CREATE SYNONYM gis_interface FOR &&img_usr..gis_interface;

DROP SYNONYM gis_interface_all;
CREATE SYNONYM gis_interface_all FOR &&img_usr..gis_interface_all;
            
DROP SYNONYM gis_interface_s;
CREATE SYNONYM gis_interface_s FOR &&img_usr..gis_interface_s;

DROP SYNONYM gis_migrate_check;
CREATE SYNONYM gis_migrate_check FOR &&img_usr..gis_migrate_check;
/
