set head off;

spool gis_ddl_remove.txt;

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Run gis_ddl_remove.sql install script.' from dual;

/* Delete sequence for gis_interface_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete sequence for gis_interface_all table ...' from dual;

drop sequence gis_interface_s;

select 'Delete sequence for gis_interface_all table completed.' from dual;

/* Delete gis_interface_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete table gis_interface_all ...' from dual;

drop table gis_interface_all;

select 'Drop table gis_interface_all completed.' from dual;

/* Delete gis_interface view */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete view gis_interface ...' from dual;

drop view gis_interface;

commit;

select 'Delete view gis_interface completed.' from dual;

/* Delete sequence for gis_error_log_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete sequence for gis_error_log_all table ...' from dual;

drop sequence gis_error_log_s;

select 'Delete sequence for gis_error_log_all table completed.' from dual;

/* Delete gis_error_log_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete table gis_error_log_all ...' from dual;

drop table gis_error_log_all;

select 'Delete table gis_error_log_all completed.' from dual;

/* Delete gis_error_log view */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete view gis_error_log ...' from dual;

drop view gis_error_log;
commit;

select 'Delete view gis_error_log completed.' from dual;

/* Delete sequence for gis_event_log_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete sequence for gis_event_log_all table ...' from dual;

drop sequence gis_event_log_s;

select 'Delete sequence for gis_event_log_all table completed.' from dual;

/* Delete gis_event_log_all table */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete table gis_event_log_all ...' from dual;

drop table gis_event_log_all;

select 'Delete table gis_event_log_all completed.' from dual;

/* Delete gis_event_log view */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Delete view gis_event_log ...' from dual;

drop view gis_event_log;
commit;

select 'Delete view gis_event_log completed.' from dual;

/* Deregister GIS application */

select to_char(sysdate,'DD-MON-RRRR HH:MI') from dual;

select 'Deregistering GIS application ...' from dual;

delete
from  fnd_application_tl
where application_id =
  (select application_id
   from  fnd_application
   where application_short_name = 'GIS');

delete
from  fnd_application
where application_short_name = 'GIS';

delete
from   fnd_lookup_values
where lookup_type = 'GIS_DEFAULTS';

delete
from  fnd_lookup_types
where lookup_type = 'GIS_DEFAULTS';

delete
from   fnd_lookup_values
where lookup_type = 'GIS_STATUS_CODE';

delete
from  fnd_lookup_types
where lookup_type = 'GIS_STATUS_CODE';

commit;

select 'Deregistering GIS application completed.' from dual;

spool off;

