--***************************************************************************
--
-- File Name: gis_apps_grants.sql
--
-- Purpose: give the required grants to the EUL schema user.
--
-- History: 28-Mar-01 Patrick Low - Initial version 
--          29-Mar-01 Patrick Low - Added gis_scanners, gis_scan_users
--          30-Mar-01 Patrick Low - Added fnd_profile pkg
--          04-Apr-01 Patrick Low - Added hr_operating_units
--          13-Jun-01 Patrick Low - Added fnd tables and per_business_groups
--          20-Jun-01 Patrick Low - Added fnd_documents, fnd_document_datatypes
--
--***************************************************************************

/********************/
/* Run as APPS user */
/********************/
connect &&apps_usr/&&apps_pwd

grant select on GIS_METRICS_REPORT_V TO &&disc_usr;
grant select on GIS_SCANNERS to &&disc_usr;
grant select on GIS_SCAN_USERS to &&disc_usr;
grant execute on FND_PROFILE to &&disc_usr;
grant select on HR_OPERATING_UNITS to &&disc_usr;
grant select on FND_USER to &&disc_usr;
grant select on FND_APPLICATION to &&disc_usr;
grant select on FND_USER_RESP_GROUPS to &&disc_usr;
grant select on FND_RESPONSIBILITY_VL to &&disc_usr;
grant select on FND_ORACLE_USERID to &&disc_usr;
grant select on FND_DATA_GROUP_UNITS to &&disc_usr;
grant select on FND_PRODUCT_INSTALLATIONS to &&disc_usr;
grant select on FND_SECURITY_GROUPS_VL to &&disc_usr;
grant select on FND_APPLICATION_TL to &&disc_usr;
grant select on FND_DESCR_FLEX_CONTEXTS_TL to &&disc_usr;
grant select on FND_PROFILE_OPTION_VALUES to &&disc_usr;
grant select on FND_PROFILE_OPTIONS to &&disc_usr;
grant select on FND_RESPONSIBILITY_TL to &&disc_usr;
grant select on FND_DESCR_FLEX_CONTEXTS_VL to &&disc_usr;
grant select on FND_DOCUMENTS_TL to &&disc_usr;
grant select on FND_DOCUMENTS_TL_DFV to &&disc_usr;
grant select on FND_DOCUMENTS_SHORT_TEXT to &&disc_usr;
grant select on FND_LOBS to &&disc_usr;
grant select on PER_BUSINESS_GROUPS to &&disc_usr;
grant select on FND_DOCUMENTS to &&disc_usr;
grant select on FND_DOCUMENT_DATATYPES to &&disc_usr;
grant execute on FND_CLIENT_INFO to &&disc_usr;
/

