--***************************************************
--
--	file name gis_attached_documents_pks.sql
--
--  Purpose: Inserts a record into the table 
--           fnd_attached_documents.
--
-- History: 16-Jun-00 David Gough - Initial version
--
--***************************************************

CREATE OR REPLACE
PACKAGE gis_attached_documents_pkg AS

PROCEDURE insert_row(X_attached_document_id         NUMBER,
                     X_document_id                  NUMBER,
                     X_creation_date                DATE,
                     X_created_by                   NUMBER,
                     X_last_update_date             DATE,
                     X_last_updated_by              NUMBER,
                     X_last_update_login            NUMBER DEFAULT NULL,
                     X_seq_num                      NUMBER,
                     X_entity_name                  VARCHAR2,
                     X_pk1_value                    VARCHAR2,
                     X_pk2_value                    VARCHAR2,
                     X_pk3_value                    VARCHAR2,
                     X_pk4_value                    VARCHAR2,
                     X_pk5_value                    VARCHAR2,
                  X_automatically_added_flag     VARCHAR2,
                  X_Attribute_Category                  VARCHAR2 DEFAULT NULL,
                  X_Attribute1                          VARCHAR2 DEFAULT NULL,
                  X_Attribute2                          VARCHAR2 DEFAULT NULL,
                  X_Attribute3                          VARCHAR2 DEFAULT NULL,
                  X_Attribute4                          VARCHAR2 DEFAULT NULL,
                  X_Attribute5                          VARCHAR2 DEFAULT NULL,
                  X_Attribute6                          VARCHAR2 DEFAULT NULL,
                  X_Attribute7                          VARCHAR2 DEFAULT NULL,
                  X_Attribute8                          VARCHAR2 DEFAULT NULL,
                  X_Attribute9                          VARCHAR2 DEFAULT NULL,
                  X_Attribute10                         VARCHAR2 DEFAULT NULL,
                  X_Attribute11                         VARCHAR2 DEFAULT NULL,
                  X_Attribute12                         VARCHAR2 DEFAULT NULL,
                  X_Attribute13                         VARCHAR2 DEFAULT NULL,
                  X_Attribute14                         VARCHAR2 DEFAULT NULL,
                  X_Attribute15                         VARCHAR2 DEFAULT NULL);


END gis_attached_documents_pkg;
/
