CREATE OR REPLACE
PACKAGE apps.gis_checkout_image 
IS

TYPE aUserIdArray IS VARRAY(500) OF NUMBER(15);

PROCEDURE refreshList( p_context VARCHAR2 DEFAULT NULL
						,p_userId VARCHAR2
						,p_respId VARCHAR2);
						
PROCEDURE checkoutImage(p_document_id VARCHAR2
						,p_user_id VARCHAR2
						,p_context VARCHAR2
						,p_respId VARCHAR2);

PROCEDURE checkinImage(p_document_id VARCHAR2
						,p_user_id VARCHAR2
						,p_context VARCHAR2
						,p_respId VARCHAR2);

PROCEDURE checkOutUsers( p_context VARCHAR2
						,p_orgId VARCHAR2 DEFAULT NULL
						,p_userId NUMBER
						,p_respId VARCHAR2 DEFAULT NULL);

PROCEDURE checkOutDocs( p_docIdList VARCHAR2
						,p_userId VARCHAR2
						,p_context VARCHAR2
						,p_respId VARCHAR2
						,p_currUserId VARCHAR2);

END gis_checkout_image;
/
