CREATE OR REPLACE
PACKAGE gis_documents_pkg as
/* $Header:   /dc/pvcs/archives2/gain/gis/2.0/install/packages/gis_documents_pks.sql_v   1.3   03 Nov 2000 09:05:56   dgough  $ */


PROCEDURE Insert_Row(X_Rowid                        IN OUT VARCHAR2,
                     X_document_id                  IN OUT NUMBER,
                     X_creation_date                DATE,
                     X_created_by                   NUMBER,
                     X_last_update_date             DATE,
                     X_last_updated_by              NUMBER,
                     X_last_update_login            NUMBER DEFAULT NULL,
                     X_datatype_id                  NUMBER,
                     X_category_id                  NUMBER,
                     X_security_type                NUMBER,
                     X_security_id                  NUMBER DEFAULT NULL,
                     X_publish_flag                 VARCHAR2,
                     X_image_type                   VARCHAR2 DEFAULT NULL,
                     X_storage_type                 NUMBER DEFAULT NULL,
                     X_usage_type                VARCHAR2,
                     X_start_date_active            DATE DEFAULT NULL,
                     X_end_date_active              DATE DEFAULT NULL,
                     X_request_id                   NUMBER DEFAULT NULL,
                     X_program_application_id       NUMBER DEFAULT NULL,
                     X_program_id                   NUMBER DEFAULT NULL,
                     X_program_update_date          DATE DEFAULT NULL,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2 DEFAULT NULL,
                     X_file_name                    VARCHAR2 DEFAULT NULL,
                     X_media_id                     IN OUT NUMBER,
                  X_Attribute_Category                  VARCHAR2 DEFAULT NULL,
                  X_Attribute1                          VARCHAR2 DEFAULT NULL,
                  X_Attribute2                          VARCHAR2 DEFAULT NULL,
                  X_Attribute3                          VARCHAR2 DEFAULT NULL,
                  X_Attribute4                          VARCHAR2 DEFAULT NULL,
                  X_Attribute5                          VARCHAR2 DEFAULT NULL,
                  X_Attribute6                          VARCHAR2 DEFAULT NULL,
                  X_Attribute7                          VARCHAR2 DEFAULT NULL,
                  X_Attribute8                          VARCHAR2 DEFAULT NULL,
                  X_Attribute9                          VARCHAR2 DEFAULT NULL,
                  X_Attribute10                         VARCHAR2 DEFAULT NULL,
                  X_Attribute11                         VARCHAR2 DEFAULT NULL,
                  X_Attribute12                         VARCHAR2 DEFAULT NULL,
                  X_Attribute13                         VARCHAR2 DEFAULT NULL,
                  X_Attribute14                         VARCHAR2 DEFAULT NULL,
                  X_Attribute15                         VARCHAR2 DEFAULT NULL );


PROCEDURE insert_tl_row(X_document_id               NUMBER,
                     X_creation_date                DATE,
                     X_created_by                   NUMBER,
                     X_last_update_date             DATE,
                     X_last_updated_by              NUMBER,
                     X_last_update_login            NUMBER DEFAULT NULL,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2 DEFAULT NULL,
                     X_file_name                    VARCHAR2 DEFAULT NULL,
                     X_media_id                     NUMBER,
                     X_request_id                   NUMBER DEFAULT NULL,
                     X_program_application_id       NUMBER DEFAULT NULL,
                     X_program_id                   NUMBER DEFAULT NULL,
                     X_program_update_date          DATE DEFAULT NULL,
                  X_Attribute_Category                  VARCHAR2 DEFAULT NULL,
                  X_Attribute1                          VARCHAR2 DEFAULT NULL,
                  X_Attribute2                          VARCHAR2 DEFAULT NULL,
                  X_Attribute3                          VARCHAR2 DEFAULT NULL,
                  X_Attribute4                          VARCHAR2 DEFAULT NULL,
                  X_Attribute5                          VARCHAR2 DEFAULT NULL,
                  X_Attribute6                          VARCHAR2 DEFAULT NULL,
                  X_Attribute7                          VARCHAR2 DEFAULT NULL,
                  X_Attribute8                          VARCHAR2 DEFAULT NULL,
                  X_Attribute9                          VARCHAR2 DEFAULT NULL,
                  X_Attribute10                         VARCHAR2 DEFAULT NULL,
                  X_Attribute11                         VARCHAR2 DEFAULT NULL,
                  X_Attribute12                         VARCHAR2 DEFAULT NULL,
                  X_Attribute13                         VARCHAR2 DEFAULT NULL,
                  X_Attribute14                         VARCHAR2 DEFAULT NULL,
                  X_Attribute15                         VARCHAR2 DEFAULT NULL);


PROCEDURE Lock_Row(X_document_id                  NUMBER,
                     X_datatype_id                  NUMBER,
                     X_category_id                  NUMBER,
                     X_security_type                NUMBER,
                     X_security_id                  NUMBER DEFAULT NULL,
                     X_publish_flag                 VARCHAR2,
                     X_image_type                   VARCHAR2 DEFAULT NULL,
                     X_storage_type                 NUMBER DEFAULT NULL,
                     X_usage_type                VARCHAR2,
                     X_start_date_active            DATE DEFAULT NULL,
                     X_end_date_active              DATE DEFAULT NULL,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2 DEFAULT NULL,
                     X_file_name                    VARCHAR2 DEFAULT NULL,
                     X_media_id                     NUMBER,
                X_Attribute_Category                    VARCHAR2 DEFAULT NULL,
                X_Attribute1                            VARCHAR2 DEFAULT NULL,
                X_Attribute2                            VARCHAR2 DEFAULT NULL,
                X_Attribute3                            VARCHAR2 DEFAULT NULL,
                X_Attribute4                            VARCHAR2 DEFAULT NULL,
                X_Attribute5                            VARCHAR2 DEFAULT NULL,
                X_Attribute6                            VARCHAR2 DEFAULT NULL,
                X_Attribute7                            VARCHAR2 DEFAULT NULL,
                X_Attribute8                            VARCHAR2 DEFAULT NULL,
                X_Attribute9                            VARCHAR2 DEFAULT NULL,
                X_Attribute10                           VARCHAR2 DEFAULT NULL,
                X_Attribute11                           VARCHAR2 DEFAULT NULL,
                X_Attribute12                           VARCHAR2 DEFAULT NULL,
                X_Attribute13                           VARCHAR2 DEFAULT NULL,
                X_Attribute14                           VARCHAR2 DEFAULT NULL,
                X_Attribute15                           VARCHAR2 DEFAULT NULL);

PROCEDURE Lock_tl_Row(X_document_id                  NUMBER,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2,
                     X_file_name                    VARCHAR2,
                     X_media_id                     NUMBER,
                X_Attribute_Category                    VARCHAR2 DEFAULT NULL,
                X_Attribute1                            VARCHAR2 DEFAULT NULL,
                X_Attribute2                            VARCHAR2 DEFAULT NULL,
                X_Attribute3                            VARCHAR2 DEFAULT NULL,
                X_Attribute4                            VARCHAR2 DEFAULT NULL,
                X_Attribute5                            VARCHAR2 DEFAULT NULL,
                X_Attribute6                            VARCHAR2 DEFAULT NULL,
                X_Attribute7                            VARCHAR2 DEFAULT NULL,
                X_Attribute8                            VARCHAR2 DEFAULT NULL,
                X_Attribute9                            VARCHAR2 DEFAULT NULL,
                X_Attribute10                           VARCHAR2 DEFAULT NULL,
                X_Attribute11                           VARCHAR2 DEFAULT NULL,
                X_Attribute12                           VARCHAR2 DEFAULT NULL,
                X_Attribute13                           VARCHAR2 DEFAULT NULL,
                X_Attribute14                           VARCHAR2 DEFAULT NULL,
                X_Attribute15                           VARCHAR2 DEFAULT NULL
);

PROCEDURE Update_Row(X_document_id                  NUMBER,
                     X_last_update_date             DATE,
                     X_last_updated_by              NUMBER,
                     X_last_update_login            NUMBER,
                     X_datatype_id                  NUMBER,
                     X_category_id                  NUMBER,
                     X_security_type                NUMBER,
                     X_security_id                  NUMBER,
                     X_publish_flag                 VARCHAR2,
                     X_image_type                   VARCHAR2,
                     X_storage_type                 NUMBER,
                     X_usage_type                  VARCHAR2,
                     X_start_date_active            DATE,
                     X_end_date_active              DATE,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2,
                     X_file_name                    VARCHAR2,
                     X_media_id                     NUMBER,
                  X_Attribute_Category                  VARCHAR2 DEFAULT NULL,
                  X_Attribute1                          VARCHAR2 DEFAULT NULL,
                  X_Attribute2                          VARCHAR2 DEFAULT NULL,
                  X_Attribute3                          VARCHAR2 DEFAULT NULL,
                  X_Attribute4                          VARCHAR2 DEFAULT NULL,
                  X_Attribute5                          VARCHAR2 DEFAULT NULL,
                  X_Attribute6                          VARCHAR2 DEFAULT NULL,
                  X_Attribute7                          VARCHAR2 DEFAULT NULL,
                  X_Attribute8                          VARCHAR2 DEFAULT NULL,
                  X_Attribute9                          VARCHAR2 DEFAULT NULL,
                  X_Attribute10                         VARCHAR2 DEFAULT NULL,
                  X_Attribute11                         VARCHAR2 DEFAULT NULL,
                  X_Attribute12                         VARCHAR2 DEFAULT NULL,
                  X_Attribute13                         VARCHAR2 DEFAULT NULL,
                  X_Attribute14                         VARCHAR2 DEFAULT NULL,
                  X_Attribute15                         VARCHAR2 DEFAULT NULL
);


PROCEDURE Update_tl_Row(X_document_id                  NUMBER,
                     X_last_update_date             DATE,
                     X_last_updated_by              NUMBER,
                     X_last_update_login            NUMBER DEFAULT NULL,
                     X_language                     VARCHAR2,
                     X_description                  VARCHAR2 DEFAULT NULL,
                     X_file_name                    VARCHAR2 DEFAULT NULL,
                     X_media_id                     NUMBER,
                  X_Attribute_Category                  VARCHAR2 DEFAULT NULL,
                  X_Attribute1                          VARCHAR2 DEFAULT NULL,
                  X_Attribute2                          VARCHAR2 DEFAULT NULL,
                  X_Attribute3                          VARCHAR2 DEFAULT NULL,
                  X_Attribute4                          VARCHAR2 DEFAULT NULL,
                  X_Attribute5                          VARCHAR2 DEFAULT NULL,
                  X_Attribute6                          VARCHAR2 DEFAULT NULL,
                  X_Attribute7                          VARCHAR2 DEFAULT NULL,
                  X_Attribute8                          VARCHAR2 DEFAULT NULL,
                  X_Attribute9                          VARCHAR2 DEFAULT NULL,
                  X_Attribute10                         VARCHAR2 DEFAULT NULL,
                  X_Attribute11                         VARCHAR2 DEFAULT NULL,
                  X_Attribute12                         VARCHAR2 DEFAULT NULL,
                  X_Attribute13                         VARCHAR2 DEFAULT NULL,
                  X_Attribute14                         VARCHAR2 DEFAULT NULL,
                  X_Attribute15                         VARCHAR2 DEFAULT NULL
);

PROCEDURE Delete_Row(X_document_id NUMBER,
		     X_datatype_id NUMBER,
		     delete_ref_flag VARCHAR2 DEFAULT 'N');

procedure ADD_LANGUAGE;

END gis_documents_pkg;
/
