CREATE OR REPLACE PACKAGE apps.gis_process_image 
IS

PROCEDURE processImage( p_document VARCHAR2 DEFAULT NULL
						,p_context VARCHAR2 DEFAULT NULL
						, p_age VARCHAR2 DEFAULT '0'
						,p_order VARCHAR2 DEFAULT '1'
						,p_org_selected VARCHAR2 DEFAULT '0'
						,p_org_id VARCHAR2 DEFAULT '0'
						,p_myList VARCHAR2 DEFAULT 'No'
						,p_refresh_rate NUMBER DEFAULT 600000
						,p_userId VARCHAR2 DEFAULT NULL
						,p_respId VARCHAR2 DEFAULT NULL);

PROCEDURE showProcessingList( p_context VARCHAR2 DEFAULT NULL
						,p_userId VARCHAR2 DEFAULT NULL
						, p_age_low NUMBER
						, p_age_high NUMBER
						,p_order NUMBER DEFAULT 1
						,p_org_selected VARCHAR2 DEFAULT '0'
						,p_org_id VARCHAR2 DEFAULT '0'
						,p_myList VARCHAR2 DEFAULT 'No'
						,p_respId VARCHAR2);  
						
PROCEDURE imageProcessed( 	p_docid VARCHAR2
							,p_userId VARCHAR2 DEFAULT '1'
							,p_context VARCHAR2
							,p_respId VARCHAR2
							,p_navTo VARCHAR2 DEFAULT NULL);  

PROCEDURE refreshInterval;

PROCEDURE rejectImage( 	p_docid VARCHAR2
						,p_context VARCHAR2
						,p_userId VARCHAR2
						,p_respId VARCHAR2
						,p_navTo VARCHAR2 DEFAULT NULL);

END gis_process_image;
/
