CREATE OR REPLACE
PACKAGE apps.GIS_REPORT_PKG AUTHID CURRENT_USER AS

/*-------------------------------------------------------------------------+
 | PUBLIC FUNCTION(s)                                                      |
 | DESCRIPTION                                                             |
 |    FUNCTIONs designed to track documents across the status life-cycle   |
 |    in GIS 11i.                                                          |
 |    These FUNCTIONs are designed to be called in-line to create a Report |
 |    using Discoverer.                                                    |
 |                                                                         |
 | MODIFICATION HISTORY                                                    |
 |    20-FEB-2001          Dave A. Anselmi  Function(s) Created.           |
 |                                                                         |
 +-------------------------------------------------------------------------*/

FUNCTION doctype(fileid IN NUMBER) RETURN VARCHAR2;

FUNCTION namedate(fileid IN NUMBER, flag IN VARCHAR2, status IN NUMBER) RETURN VARCHAR2;

FUNCTION username(userid IN NUMBER) RETURN VARCHAR2;

FUNCTION lic_ord_value(fileid IN NUMBER, flag IN VARCHAR2) RETURN VARCHAR2;

END  GIS_REPORT_PKG;
/
