DECLARE

-- PLOW_AU: 12/06/2001
--          Install script for HR Assigments and Suppliers document category types
--          Prerequisite - you must run gis_create_seed_types.sql in $MIS_GIS_TOP/admin/seed as part of the install script

gis_doc_types apps.gis_doc_cat_list := gis_doc_cat_list
									(--gis_doc_categories('CAA','Alliance Agreement','AGREEMENTS'),
									--gis_doc_categories('CADD','Addendum','AGREEMENTS'),
									--gis_doc_categories('CAMD','Amendment','AGREEMENTS'),
									--gis_doc_categories('CASN','License Assignment CASN','AGREEMENTS'),
									--gis_doc_categories('CBAP','Business Alliance Program','AGREEMENTS'),
									--gis_doc_categories('CBOL','Business On-Line Services','AGREEMENTS'),
									--gis_doc_categories('CBTS','Beta Test Site','AGREEMENTS'),
									--gis_doc_categories('CCAP','Credit Acquisition Plan','AGREEMENTS'),
									--gis_doc_categories('CCL','Campus License','AGREEMENTS'),
									--gis_doc_categories('CCSP','Complimentary Software Providr','AGREEMENTS'),
									--gis_doc_categories('CDSA','Confidential Disclosure Agmt','AGREEMENTS'),
									--gis_doc_categories('CEIP','Educational Institution PL','AGREEMENTS'),
									--gis_doc_categories('CELA','Enterprise License','AGREEMENTS'),
									--gis_doc_categories('CEMAIL','Contract Email','AGREEMENTS'),
									--gis_doc_categories('CESA','Escrow Agreement','AGREEMENTS'),
									--gis_doc_categories('CGSA','General Services Agmt','AGREEMENTS'),
									--gis_doc_categories('CISV','Independent Software Vendor','AGREEMENTS'),
									--gis_doc_categories('CJDA','Joint Development Agmt','AGREEMENTS'),
									--gis_doc_categories('CLEA','Lease Agreement','AGREEMENTS'),
									--gis_doc_categories('CMC','Master Contract','AGREEMENTS'),
									--gis_doc_categories('CMISC','Miscellaneous Contract','AGREEMENTS'),
									--gis_doc_categories('CNL','Network License','AGREEMENTS'),
									--gis_doc_categories('CNSO','Network Server Option','AGREEMENTS'),
									--gis_doc_categories('COAI','Oracle Academic Initiative','AGREEMENTS'),
									--gis_doc_categories('CODA','Oracle Developers Alliance','AGREEMENTS'),
									--gis_doc_categories('COEM','Original Equipment Manufactor','AGREEMENTS'),
									--gis_doc_categories('COLA','Oracle License Agreement','AGREEMENTS'),
									--gis_doc_categories('COO','OnOracle Application','AGREEMENTS'),
									--gis_doc_categories('COPD','Oracle Program Distribution','AGREEMENTS'),
									--gis_doc_categories('COPP','Oracle Partner Program','AGREEMENTS'),
									--gis_doc_categories('CORAP','Oracle Research Alliance Prog','AGREEMENTS'),
									--gis_doc_categories('COSP','Oracle Service Provider','AGREEMENTS'),
									--gis_doc_categories('CPMA','Porting Marketing Agreement','AGREEMENTS'),
									--gis_doc_categories('CPPA','Payment Plan Agreement (CPPA)','AGREEMENTS'),
									--gis_doc_categories('CPSI','Preferred Systems Integrator','AGREEMENTS'),
									--gis_doc_categories('CRA','Reseller Agreement','AGREEMENTS'),
									--gis_doc_categories('CRECON','Reconciliation','AGREEMENTS'),
									--gis_doc_categories('CRELIC','Relicensor Agreement','AGREEMENTS'),
									--gis_doc_categories('CRLTY','Royalty','AGREEMENTS'),
									--gis_doc_categories('CSA','Services Agreement','AGREEMENTS'),
									--gis_doc_categories('CSLA','SLSA Contract','AGREEMENTS'),
									--gis_doc_categories('CSTL','Settlement Agreement','AGREEMENTS'),
									--gis_doc_categories('CSUB','Subcontract Agreement (CSUB)','AGREEMENTS'),
									--gis_doc_categories('CTSS','Technical Support Services','AGREEMENTS'),
									--gis_doc_categories('CVAR','Value Added Reseller','AGREEMENTS'),
									--gis_doc_categories('CVPA','Volume Purchase Agreement','AGREEMENTS'),
									--gis_doc_categories('GSR','Global Support Renewal','CONTRACTS'),
									--gis_doc_categories('INV','Invoice','RECEIVABLES'),
									--gis_doc_categories('MASN','License Assignment (MASN)','CUSTOMER'),
									--gis_doc_categories('MCAC','Customer Address Change','CUSTOMER'),
									--gis_doc_categories('MCCC','Customer Contact Change','CUSTOMER'),
									--gis_doc_categories('MCNC','Customer Name Change','CUSTOMER'),
									--gis_doc_categories('MCND','Confidential Non-Disclosure','CUSTOMER'),
									--gis_doc_categories('MIAGMT','International Agreement','CUSTOMER'),
									--gis_doc_categories('MIOPKG','International Order','CUSTOMER'),
									--gis_doc_categories('CUMISC','Customer Miscellaneous','CUSTOMER'),
									--gis_doc_categories('MTRND','Technical Ref. Non-Disclosure','CUSTOMER'),
									--gis_doc_categories('MTRM','Terminations','CUSTOMER'),
									--gis_doc_categories('MTAX','Tax Exempt Certificate','CUSTOMER'),
									--gis_doc_categories('OPO','Purchase Order','PAYABLES'),
									--gis_doc_categories('OPKG','Order Package','ORDER MANAGEMENT'),
									--gis_doc_categories('OTHR','Miscellaneous documents','ORDER MANAGEMENT'),
									--gis_doc_categories('OTC','IStore Terms and Conditions','ORDER MANAGEMENT'),
									--gis_doc_categories('OSHPVR','Shipment verification','ORDER MANAGEMENT'),
									--gis_doc_categories('OSEGL','Segmentation Letter','ORDER MANAGEMENT'),
									--gis_doc_categories('OROREV','Royalty Revenue Report','ORDER MANAGEMENT'),
									--gis_doc_categories('OPPA','Payment Plan Agreement','ORDER MANAGEMENT'),
									--gis_doc_categories('PTME','Time and Materials Contract','PROJECTS'),
									--gis_doc_categories('PSOW','Statement of Work','PROJECTS'),
									--gis_doc_categories('PROP','Project Proposal','PROJECTS'),
									--gis_doc_categories('PROJ','Project Account','PROJECTS'),
									--gis_doc_categories('POTHR','Project - Other','PROJECTS'),
									--gis_doc_categories('PINV','Project Invoice','PROJECTS'),
									--gis_doc_categories('PFUND','Project Funding','PROJECTS'),
									--gis_doc_categories('PFPE','Fixed Price Engagement','PROJECTS'),
									--gis_doc_categories('PFFTM','Fast Forward Time and Material','PROJECTS'),
									--gis_doc_categories('PFFFP','Fast Forward Fixed Price','PROJECTS'),
									--gis_doc_categories('PEL','Engagement Letter','PROJECTS'),
									--gis_doc_categories('PCONT','Commercial contract','PROJECTS'),
									--gis_doc_categories('PCOA','Consulting Order Agreement','PROJECTS'),
									--gis_doc_categories('POPXT','Consulting Extension File','PROJECTS'),
									--gis_doc_categories('POPKG','Consulting Order File','PROJECTS'),
									--gis_doc_categories('MPROJ','Old Project Documents','PROJECTS'),
									--gis_doc_categories('PAPPR','Project Approval','PROJECTS'),
									--gis_doc_categories('WEC','Expense Claim','WEB EXPENSES'),
									--gis_doc_categories('ACR','Cash Receipt','RECEIVABLES'),
									--gis_doc_categories('EBSREG','Student Registration','EDUCATION BOOKINGS'), 
									--gis_doc_categories('EEARESP','Anonymous Response','EDUCATION EVENTS'),
gis_doc_categories('POANC','Address/Name Changes','SUPPLIERS'),
gis_doc_categories('POCOM','PO Communications','SUPPLIERS'),
gis_doc_categories('POMISC','PO Miscellaneous','SUPPLIERS'),
gis_doc_categories('PONOTES','PO Notes','SUPPLIERS'),
gis_doc_categories('POSPA','Services Provider Agreement','SUPPLIERS'),
gis_doc_categories('POW9','W-9','SUPPLIERS'),
gis_doc_categories('POY2K','Y2K Compliance Form','SUPPLIERS'),
gis_doc_categories('HRPRWKS','PR Worksheet','HR ASSIGNMENTS'),
gis_doc_categories('HRAPPRV','Approvals','HR ASSIGNMENTS'),
gis_doc_categories('HREXT','Extensions','HR ASSIGNMENTS'),
gis_doc_categories('HRCOM','HR Communications','HR ASSIGNMENTS'),
gis_doc_categories('HRMISC','HR Miscellaneous','HR ASSIGNMENTS'),
gis_doc_categories('HRNOTES','HR Notes','HR ASSIGNMENTS'),
gis_doc_categories('HRI9','I-9 ','HR ASSIGNMENTS'),
gis_doc_categories('HRNDA','Non-Disclosure Agreement ','HR ASSIGNMENTS'),
gis_doc_categories('HRORCSOW','ORC Statement of Work','HR ASSIGNMENTS'),
gis_doc_categories('HRRC','Rate Changes','HR ASSIGNMENTS'),
gis_doc_categories('EPPS','Education Commitment','RECEIVABLES'),
gis_doc_categories('MLCR','License Compliance Report','CUSTOMER'));

l_category_name VARCHAR2(10);
l_category_description VARCHAR(150);
l_attribute1 VARCHAR2(150);
l_category_id NUMBER(15);
l_record_check NUMBER(1);
cid INTEGER;

BEGIN

	FOR i IN gis_doc_types.FIRST..gis_doc_types.LAST
	LOOP
		select 	gis_doc_types( i).category_name,
				'GIS - ' || gis_doc_types( i).category_description,
				gis_doc_types(i).attribute1
		INTO 	l_category_name,
				l_category_description,
				l_attribute1
		from 	dual;

--		DBMS_OUTPUT.put_line ( l_category_name || '  '|| l_category_description);

		SELECT count(*)
		INTO l_record_check
		FROM fnd_document_categories
		WHERE name = l_category_name;

		IF l_record_check < 1
		THEN

			SELECT FND_DOCUMENT_CATEGORIES_S.NEXTVAL
			INTO l_category_id
			FROM dual;

			INSERT INTO fnd_document_categories(
								category_id,
								creation_date,
								created_by,
								last_update_date,
								last_updated_by,
								name,
								start_date_active,
								default_datatype_id,
								attribute_category,
								attribute1)
			VALUES (
					l_category_id,
					SYSDATE,
					1,
					SYSDATE,
					1,
					l_category_name,
					SYSDATE,
					6,
					'GIS',
					l_attribute1);

			INSERT INTO fnd_document_categories_tl(
					category_id,
					language,
					name,
					user_name,
					creation_date,
					created_by,
					last_update_date,
					last_updated_by,
					source_lang)
			VALUES(
					l_category_id,
					'US',
					l_category_name,
					l_category_description,
					SYSDATE,
					1,
					SYSDATE,
					1,
					'US');
			COMMIT;
		ELSE
			UPDATE fnd_document_categories_tl
			SET user_name = l_category_description,
			last_update_date = SYSDATE,
			last_updated_by = 1
			WHERE name = l_category_name;

			UPDATE fnd_document_categories
			SET  attribute_category = 'GIS',
			attribute1 = l_attribute1,
			last_update_date = SYSDATE,
			last_updated_by = 1
			WHERE name = l_category_name;

			COMMIT;
		END IF;
	END LOOP;

	cid := dbms_sql.open_cursor;
	dbms_sql.parse( cid,'DROP TYPE gis_doc_cat_list' , dbms_sql.v7);
	dbms_sql.close_cursor( cid);

	cid := dbms_sql.open_cursor;
	dbms_sql.parse( cid,'DROP TYPE gis_doc_categories' , dbms_sql.v7);
	dbms_sql.close_cursor( cid);
	COMMIT;
EXCEPTION
	when others
	then
		dbms_output.put_line( l_category_name);
END;
/
