-- ============================================================================
--
--   NAME
--      gis_sequences.sql
--
--   DESCRIPTION
--      Script to create sequences required for GIS 
--
--   HISTORY
--      07/11/2000 David Gough Original version
--
-- ============================================================================

/**********************************/
/* Run as imaging user            */
/**********************************/
connect &&img_usr/&&img_pwd

/* Create sequence for gis_interface_all table */

DROP sequence imaging.gis_interface_s;
create sequence imaging.gis_interface_s start with 1;

/* Create sequence for gis_error_log_all table */
DROP sequence imaging.gis_error_log_s;
create sequence imaging.gis_error_log_s start with 1;

/* Create sequence for gis_event_log_all table */
DROP sequence imaging.gis_event_log_s;
create sequence imaging.gis_event_log_s start with 1;